package com.vazil.vridge.docs.utils;

import lombok.extern.log4j.Log4j2;
import org.springframework.stereotype.Component;

import java.nio.ByteBuffer;
import java.util.UUID;

/**
 * @author 경호
 * 시간 관리 클래스
 */
@Component
@Log4j2
public class IdUtils {
    public static String generate() {
        return UUID.randomUUID().toString().replace("-","");
    }

    public static String generateShort() {
        return Long.toString(ByteBuffer.wrap(UUID.randomUUID().toString().getBytes()).getLong(), Character.MAX_RADIX).replace("-","");
    }

    public static String generateWithPrefix(String prefix) {
        return prefix + "-" + generate();
    }

    public static String generateShortWithPrefix(String prefix) {
        return prefix + "-" + generateShort();
    }
}
