package com.vazil.vridge.docs.utils;

import lombok.extern.log4j.Log4j2;
import org.springframework.stereotype.Component;

import java.time.LocalDateTime;
import java.time.ZoneId;

/**
 * @author 경호
 * 시간 관리 클래스
 */
@Component
@Log4j2
public class TimeManager {
    public static LocalDateTime now() {
        return LocalDateTime.now(ZoneId.of("Asia/Seoul"));
    }

    public static boolean isExpired(LocalDateTime targetDateTime) {
        LocalDateTime now = now();
        return now.isAfter(targetDateTime);
    }

    public static LocalDateTime nowBeforeDay(int day) {
        LocalDateTime now = now();
        now = now.minusDays(day);
        return now;
    }
}
